- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.locations.bigQueryExports/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.locations.bigQueryExports/create#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.locations.bigQueryExports/create#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.locations.bigQueryExports/create#body.request_body)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.locations.bigQueryExports/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.locations.bigQueryExports/create#body.aspect)
- [Try it!](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.locations.bigQueryExports/create#try-it)

Creates a BigQuery export.

### IAM Permissions

Requires the following IAM permission on the resource specified in the `parent` field:

- `securitycenter.bigQueryExports.create`

Also requires the following IAM permissions on the resource specified in the `bigQueryExport.dataset` field (when `dataset` is specified):

- `bigquery.datasets.update`
- `bigquery.datasets.get`

### HTTP request

Choose an endpoint:
global me-central2 us eu   
`POST https://securitycenter.googleapis.com/v2/{parent=folders/*/locations/*}/bigQueryExports`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the parent resource of the new BigQuery export. Its format is `organizations/[organizationId]/locations/[locationId]`, `folders/[folder_id]/locations/[locationId]`, or `projects/[projectId]/locations/[locationId]`. |

### Query parameters

| Parameters ||
|---|---|
| `bigQueryExportId` | `string` Required. Unique identifier provided by the client within the parent scope. It must consist of only lowercase letters, numbers, and hyphens, must start with a letter, must end with either a letter or a number, and must be 63 characters or less. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.locations.bigQueryExports#BigQueryExport`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/folders.locations.bigQueryExports#BigQueryExport`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/securitycenter`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).